#!/bin/bash

cd $securitydir/$compiledir
prefix=$installdir

# If doing a make clean or distclean
if [ "x$1" != "x" ]; then
    make $1
    exit 0
fi


# else, configure, make, make install

# CURL configure script is stricter than most, and insists that 
# no C pre-processing flags (such -I/aa/bb/cc) appear in the
# CFLAGS variable
export CFLAGS=`echo $CFLAGS | sed 's/-I[^ ]*//g'`

# configure, but only if we haven't already
if [ ! -e config.log ] ; then
    ./configure --prefix=$prefix
fi

# make
make
if [ $? != 0 ] ; then
    echo "Error encountered making $d"
    exit 1
fi

# make install
make install
if [ $? != 0 ] ; then
    echo "Error encountered when installing $d"
    exit 1
fi

cd $securitydir